format:
  JSON_LD_CLASSIC:
    type: 'JSON_LD_CLASSIC'
    display: 'format.jsonld_classic'
    order: 320
    params:
      public:
        leeway: 60
        embedLayoutProperties: true
  JSON_LD_BBSPLUS:
    type: 'JSON_LD_BBSPLUS'
    display: 'format.jsonld_bbsplus'
    order: 330
    params:
      public:
        leeway: 60
        embedLayoutProperties: true
  SD_JWT_VC:
    type: 'SD_JWT_VC'
    display: 'format.sdjwt_vc'
    order: 200
    params:
      public:
        leeway: 60
        embedLayoutProperties: true
exchange:
  OPENID4VC:
    display: 'exchange.openid'
    order: 1
    type: 'OPENID4VC'
    params:
      public:
        preAuthorizedCodeExpiresIn: 300
        tokenExpiresIn: 86400
        refreshExpiresIn: 7776000 # 90 days in seconds
        useRequestUri: true
        issuance:
          redirectUri:
            disabled: false
            allowedSchemes: ['https']
        presentation:
          verifier:
            supportedClientIdSchemes: [redirect_uri, verifier_attestation]
            defaultClientIdScheme: verifier_attestation
          redirectUri:
            disabled: false
            allowedSchemes: ['https']
transport:
  HTTP:
    type: 'HTTP'
    display: 'transport.http'
    disabled: false
    order: 0
    params: {}
revocation:
  NONE:
    display: 'revocation.none'
    order: 0
    type: 'NONE'
    params: null
  BITSTRINGSTATUSLIST:
    display: 'revocation.bitStringStatusList'
    order: 1
    disabled: false
    type: 'BITSTRINGSTATUSLIST'
    params:
      public:
        format: 'JWT'
  TOKENSTATUSLIST:
    display: 'revocation.tokenList'
    order: 5
    disabled: false
    type: 'TOKENSTATUSLIST'
    params:
      public:
        format: 'JWT'
did:
  KEY:
    display: 'did.key'
    order: 0
    type: 'KEY'
    params: null
  WEB:
    type: 'WEB'
    display: 'did.web'
    order: 1
    params:
      public:
        keys:
          min: 1
          max: 5
          authentication:
            min: 1
            max: 5
          assertionMethod:
            min: 1
            max: 5
          keyAgreement:
            min: 1
            max: 1
          capabilityInvocation:
            min: 1
            max: 1
          capabilityDelegation:
            min: 1
            max: 1
  JWK:
    type: 'JWK'
    display: 'did.jwk'
    order: 2
    params: null
  SD_JWT_VC_ISSUER_METADATA:
    type: 'SD_JWT_VC_ISSUER_METADATA'
    display: 'did.sd_jwt_vc_issuer_metadata'
    order: 20
    params:
      private:
        iacaCertificate: MIIDHTCCAqOgAwIBAgIUVqjgtJqf4hUYJkqdYzi-0xwhwFYwCgYIKoZIzj0EAwMwXDEeMBwGA1UEAwwVUElEIElzc3VlciBDQSAtIFVUIDAxMS0wKwYDVQQKDCRFVURJIFdhbGxldCBSZWZlcmVuY2UgSW1wbGVtZW50YXRpb24xCzAJBgNVBAYTAlVUMB4XDTIzMDkwMTE4MzQxN1oXDTMyMTEyNzE4MzQxNlowXDEeMBwGA1UEAwwVUElEIElzc3VlciBDQSAtIFVUIDAxMS0wKwYDVQQKDCRFVURJIFdhbGxldCBSZWZlcmVuY2UgSW1wbGVtZW50YXRpb24xCzAJBgNVBAYTAlVUMHYwEAYHKoZIzj0CAQYFK4EEACIDYgAEFg5Shfsxp5R_UFIEKS3L27dwnFhnjSgUh2btKOQEnfb3doyeqMAvBtUMlClhsF3uefKinCw08NB31rwC-dtj6X_LE3n2C9jROIUN8PrnlLS5Qs4Rs4ZU5OIgztoaO8G9o4IBJDCCASAwEgYDVR0TAQH_BAgwBgEB_wIBADAfBgNVHSMEGDAWgBSzbLiRFxzXpBpmMYdC4YvAQMyVGzAWBgNVHSUBAf8EDDAKBggrgQICAAABBzBDBgNVHR8EPDA6MDigNqA0hjJodHRwczovL3ByZXByb2QucGtpLmV1ZGl3LmRldi9jcmwvcGlkX0NBX1VUXzAxLmNybDAdBgNVHQ4EFgQUs2y4kRcc16QaZjGHQuGLwEDMlRswDgYDVR0PAQH_BAQDAgEGMF0GA1UdEgRWMFSGUmh0dHBzOi8vZ2l0aHViLmNvbS9ldS1kaWdpdGFsLWlkZW50aXR5LXdhbGxldC9hcmNoaXRlY3R1cmUtYW5kLXJlZmVyZW5jZS1mcmFtZXdvcmswCgYIKoZIzj0EAwMDaAAwZQIwaXUA3j--xl_tdD76tXEWCikfM1CaRz4vzBC7NS0wCdItKiz6HZeV8EPtNCnsfKpNAjEAqrdeKDnr5Kwf8BA7tATehxNlOV4Hnc10XO1XULtigCwb49RpkqlS2Hul-DpqObUs
datatype:
  STRING:
    display: 'datatype.string'
    type: 'STRING'
    order: 100
    params: null
  NUMBER:
    display: 'datatype.number'
    type: 'NUMBER'
    order: 200
    params: null
  DATE:
    display: 'datatype.date'
    type: 'DATE'
    order: 300
    params: null
  EMAIL:
    display: 'datatype.email'
    type: 'STRING'
    order: 110
    params:
      public:
        autocomplete: true
        placeholder: 'abc@abc.com'
        error:
          de: 'Please provide email like abc@abc.com'
          en: 'Please provide email like abc@abc.com'
        pattern: '^[\w\-\.]+@([\w\-]+\.)+[\w\-]{2,4}$'
  PICTURE:
    display: 'datatype.picture'
    type: 'FILE'
    order: 400
    params:
      public:
        accept:
          - image/jpeg
          - image/png
        fileSize: 4194304
        showAs: IMAGE
  COUNT:
    display: 'datatype.count'
    type: 'NUMBER'
    order: 210
    params:
      public:
        min: 0
        max: 9999
        error:
          de: 'Bitte wählen Sie eine Zahl zwischen 0 und 9999'
          en: 'Please provide a number between 0 and 9999'
  BIRTH_DATE:
    display: 'datatype.birth_date'
    type: 'DATE'
    order: 310
    params:
      public:
        min: 1900-01-01
        max: 'NOW'
        error:
          de: 'Bitte wählen Sie ein Datum zwischen 1900-1-1 und heute'
          en: 'Please choose a date between 1900-1-1 and today'
  OBJECT:
    display: 'datatype.object'
    type: 'OBJECT'
    order: 500
    params: null
  BOOLEAN:
    display: 'datatype.boolean'
    type: 'BOOLEAN'
    order: 301
    params: null
  ARRAY:
    display: 'datatype.array'
    type: 'ARRAY'
    order: 101
    params: null
keyAlgorithm:
  EDDSA:
    display: 'keyAlgorithm.eddsa'
    order: 0
  ES256:
    display: 'keyAlgorithm.es256'
    order: 1
  BBS_PLUS:
    display: 'keyAlgorithm.bbs_plus'
    order: 2
  DILITHIUM:
    display: 'keyAlgorithm.dilithium'
    order: 3
keyStorage:
  INTERNAL:
    display: 'keyStorage.internal'
    type: 'INTERNAL'
    order: 0
task:
  SUSPEND_CHECK:
    type: 'SUSPEND_CHECK'
    display: 'task.suspendCheck'
    order: 0
    params: null
  RETAIN_PROOF_CHECK:
    type: 'RETAIN_PROOF_CHECK'
    display: 'task.retainProofCheck'
    order: 1
    params: null
cacheEntities:
  STATUS_LIST_CREDENTIAL:
    cacheType: DB
    refreshAfter: 300
    cacheRefreshTimeout: 86400
    cacheSize: 1000
  DID_DOCUMENT:
    cacheType: DB
    refreshAfter: 300
    cacheRefreshTimeout: 86400
    cacheSize: 1000
  JSON_LD_CONTEXT:
    cacheType: DB
    refreshAfter: 86400
    cacheRefreshTimeout: 86400
    cacheSize: 1000
  VCT_METADATA:
    cacheType: DB
    refreshAfter: 86400
    cacheRefreshTimeout: 86400
    cacheSize: 1000
  JSON_SCHEMA:
    cacheType: DB
    refreshAfter: 86400
    cacheRefreshTimeout: 86400
    cacheSize: 1000
  TRUST_LIST:
    cacheType: DB
    refreshAfter: 300
    cacheRefreshTimeout: 86400
    cacheSize: 1000
trustManagement:
  SIMPLE_TRUST_LIST:
    display: 'trustManagement.simpleTrustList'
    type: 'SIMPLE_TRUST_LIST'
    order: 1
    disabled: false
    params:
      public:
        enablePublishing: true
